# Простой проигрыватель музыки.

import SimpleGUICS2Pygame.simpleguics2pygame as simplegui

# Определение обработчиков.
def play():
	"""Проигрывание музыки, продолжает с места последней паузы."""
	music.play()
	
def pause():
	"""Пауза в проигрывании музыки."""
	music.pause()
	
def rewind():
	"""Прокручивает музыку на начало."""
	music.rewind()
	
def laugh():
	"""Проигрывание зловещего хохота, будет перекрываться, т.к. это отдельный звуковой объект."""
	laugh.play()
	
def vol_down():
	"""Делает звук тише."""
	global vol
	if vol > 0:
		vol = vol - 1
	music.set_volume(vol/10.0)
	volume_label.set_text("Звук = " + str(vol))

def vol_up():
	"""Делает звук громче."""
	global vol
	if vol < 10:
		vol = vol + 1
	music.set_volume(vol/10.0)
	volume_label.set_text("Звук = " + str(vol))

# Cоздание формы, холст будет пустым.
frame = simplegui.create_frame("Music demp", 250, 250, 100)

frame.add_button("Играть", play, 100)
frame.add_button("Пауза", pause, 100)
frame.add_button("В начало", rewind, 100)
frame.add_button("Смех", laugh, 100)
frame.add_button("Уменьшение громкости", vol_down, 100)
frame.add_button("Увеличение громкости", vol_up, 100)

# Инициализация уровня звука, создание метки для его вывода.
vol = 7
volume_label = frame.add_label("Звук = " + str(vol))

# Загрузка звуков.
music = simplegui._load_local_sound("menu.ogg")
#music = simplegui.load_sound("http://commondatastorage.googleapis.com/codeskulptor-demos/riceracer_assets/music/menu.ogg")
laugh = simplegui._load_local_sound("Evillaugh.ogg")
#laugh = simplegui.load_sound("http://commondatastorage.googleapis.com/codeskulptor-assets/Evillaugh.ogg")

# Уменьшение громкости смеха.
laugh.set_volume(.6)

frame.start()
